

debug printk's in drm code are generating warnings due to conversion of dev_t
to a long.



 25-akpm/drivers/char/drm/drm_drv.h  |    8 ++++----
 25-akpm/drivers/char/drm/drm_fops.h |    6 +++---
 25-akpm/drivers/char/drm/drm_proc.h |    6 +++---
 3 files changed, 10 insertions(+), 10 deletions(-)

diff -puN drivers/char/drm/drm_drv.h~dev_t-drm-warnings drivers/char/drm/drm_drv.h
--- 25/drivers/char/drm/drm_drv.h~dev_t-drm-warnings	Tue Mar 18 16:42:43 2003
+++ 25-akpm/drivers/char/drm/drm_drv.h	Tue Mar 18 16:43:26 2003
@@ -765,8 +765,8 @@ int DRM(release)( struct inode *inode, s
 	 * Begin inline drm_release
 	 */
 
-	DRM_DEBUG( "pid = %d, device = 0x%x, open_count = %d\n",
-		   current->pid, dev->device, dev->open_count );
+	DRM_DEBUG( "pid = %d, device = 0x%lx, open_count = %d\n",
+		   current->pid, (long)dev->device, dev->open_count );
 
 	if ( dev->lock.hw_lock &&
 	     _DRM_LOCK_IS_HELD(dev->lock.hw_lock->lock) &&
@@ -891,8 +891,8 @@ int DRM(ioctl)( struct inode *inode, str
 	atomic_inc( &dev->counts[_DRM_STAT_IOCTLS] );
 	++priv->ioctl_count;
 
-	DRM_DEBUG( "pid=%d, cmd=0x%02x, nr=0x%02x, dev 0x%x, auth=%d\n",
-		   current->pid, cmd, nr, dev->device, priv->authenticated );
+	DRM_DEBUG( "pid=%d, cmd=0x%02x, nr=0x%02x, dev 0x%lx, auth=%d\n",
+		   current->pid, cmd, nr, (long)dev->device, priv->authenticated );
 
 	if ( nr >= DRIVER_IOCTL_COUNT ) {
 		retcode = -EINVAL;
diff -puN drivers/char/drm/drm_fops.h~dev_t-drm-warnings drivers/char/drm/drm_fops.h
--- 25/drivers/char/drm/drm_fops.h~dev_t-drm-warnings	Tue Mar 18 16:43:32 2003
+++ 25-akpm/drivers/char/drm/drm_fops.h	Tue Mar 18 16:43:57 2003
@@ -95,8 +95,8 @@ int DRM(flush)(struct file *filp)
 	drm_file_t    *priv   = filp->private_data;
 	drm_device_t  *dev    = priv->dev;
 
-	DRM_DEBUG("pid = %d, device = 0x%x, open_count = %d\n",
-		  current->pid, dev->device, dev->open_count);
+	DRM_DEBUG("pid = %d, device = 0x%lx, open_count = %d\n",
+		  current->pid, (long)dev->device, dev->open_count);
 	return 0;
 }
 
@@ -106,7 +106,7 @@ int DRM(fasync)(int fd, struct file *fil
 	drm_device_t  *dev    = priv->dev;
 	int	      retcode;
 
-	DRM_DEBUG("fd = %d, device = 0x%x\n", fd, dev->device);
+	DRM_DEBUG("fd = %d, device = 0x%lx\n", fd, (long)dev->device);
 	retcode = fasync_helper(fd, filp, on, &dev->buf_async);
 	if (retcode < 0) return retcode;
 	return 0;
diff -puN drivers/char/drm/drm_proc.h~dev_t-drm-warnings drivers/char/drm/drm_proc.h
--- 25/drivers/char/drm/drm_proc.h~dev_t-drm-warnings	Tue Mar 18 16:44:04 2003
+++ 25-akpm/drivers/char/drm/drm_proc.h	Tue Mar 18 16:44:28 2003
@@ -148,10 +148,10 @@ static int DRM(name_info)(char *buf, cha
 	*eof   = 0;
 
 	if (dev->unique) {
-		DRM_PROC_PRINT("%s 0x%x %s\n",
-			       dev->name, dev->device, dev->unique);
+		DRM_PROC_PRINT("%s 0x%lx %s\n",
+			       dev->name, (long)dev->device, dev->unique);
 	} else {
-		DRM_PROC_PRINT("%s 0x%x\n", dev->name, dev->device);
+		DRM_PROC_PRINT("%s 0x%lx\n", dev->name, (long)dev->device);
 	}
 
 	if (len > request + offset) return request;

_
